### Method

# Cogl MatrixStack push

#### Declaration [src]

    void
    cogl_matrix_stack_push (
      CoglMatrixStack* stack
    )

#### Description [src]

Saves the current transform and starts a new transform that derives from the current transform.

This is usually called while traversing a scenegraph whenever you traverse one level deeper. `cogl_matrix_stack_pop()` can then be called when going back up one layer to restore the previous transform of an ancestor.